import request from '@/utils/request'

export function getStoragePage(data) {
  return request({
    url: '/js-in-stock/page',
    method: 'get',
    params: data
  })
}

export function getStorageList(data) {
  return request({
    url: '/js-in-stock/list',
    method: 'post',
    data: data
  })
}

export function getStorageDetail(data) {
  return  request({
    url: '/js-in-stock/listById',
    method: 'post',
    data: data
  })
}

export function addStoragePage(data) {
  return request({
    url: '/js-in-stock/add',
    method: 'post',
    data: data
  })
}

export function editStoragePage(data) {
  return request({
    url: '/js-in-stock/edit',
    method: 'post',
    data: data
  })
}

export function delStoragePage(data) {
  return request({
    url: '/js-in-stock/delete',
    method: 'post',
    data: data
  })
}
